ansible-core (2.21.1~rc1-2ubuntu1) stonking; urgency=medium

  * d/p/fix-pytest91-parametrize-stdin.patch: Remove trailing comma
    breaking tests with pytest 9.1 (LP: #2160137)

 -- Grayson Wolf <grayson.wolf@canonical.com>  Tue, 07 Jul 2026 16:39:17 -0400

ansible-core (2.21.1~rc1-2) unstable; urgency=medium

  * Team Upload
  * Salsa CI: test <!nocheck> & <!nodoc> profiles
  * Use dh-sequence-python3
  * Drop unused python3-straight.plugin build-depencency
  * Mark python3-resolvelib build-dependnecy as <!nocheck>

 -- Alexandre Detiste <tchet@debian.org>  Mon, 29 Jun 2026 13:40:07 +0200

ansible-core (2.21.1~rc1-1) unstable; urgency=medium

  * New upstream version 2.21.1~rc1
  * Fix CVE-2026-11332 (Closes: #1139175):
    - ansible-galaxy: a malicious role author could inject arbitrary git
      configuration in role dependencies.
  * Update PR for forwarded patch fixing integration test unarchive
  * Update meta-data for d/p/fix-integration-test-apt.patch
  * Upstream the CI test patch

 -- Lee Garrett <debian@rocketjump.eu>  Thu, 18 Jun 2026 16:43:14 +0200

ansible-core (2.21.0-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * testsuite-depends-on-obsolete-package -> change python3-{,py}tz

  [ Lee Garrett ]
  * New upstream version 2.21.0
  * Refresh patch
  * Add DEP-12 Upstream Metadata file
  * d/control: Remove "Priority: optional"
  * d/control: Remove "Rules-Requires-Root: no"
  * Add lintian override for v5 debian/watch
  * d/copyright: Bump copyright year
  * Add rsync to autopkgtest deps
  * Mark integration test "iptables" so it runs as root
  * Exclude tests that require powershell
  * Update integration test patch to work with v2.21.0

  [ Simon Spöhel ]
  * Updating test suite dependency: pkg-config -> pkgconf.
  * Upgrading to Debian Policy 4.7.4.

 -- Lee Garrett <debian@rocketjump.eu>  Fri, 22 May 2026 16:36:05 +0200

ansible-core (2.20.3-1) unstable; urgency=medium

  * New upstream version 2.20.3

 -- Lee Garrett <debian@rocketjump.eu>  Fri, 13 Mar 2026 09:44:32 +0100

ansible-core (2.20.1-1) unstable; urgency=medium

  * d/watch: Track the latest releases again
  * New upstream version 2.20.1
  * d/t/control: Explicitly install openssh-client

 -- Lee Garrett <debian@rocketjump.eu>  Fri, 19 Dec 2025 10:21:39 +0100

ansible-core (2.19.4-1) unstable; urgency=medium

  * Stay on 2.19 for now since ansible-community 13 isn't released yet
  * New upstream version 2.19.4
  * Drop fix-play-tags-handler-regression.patch (applied upstream)
  * Explicit thanks to Colin Watson for debugging hard to reproduce CI failures
    and for providing a fix in the previous upload!

 -- Lee Garrett <debian@rocketjump.eu>  Wed, 05 Nov 2025 18:02:11 +0100

ansible-core (2.19.3-2) unstable; urgency=medium

  * Team upload.
  * Move apt sources lists aside more comprehensively in tests.
  * testbed-setup: Only remove autopkgtest's global pinning, not more
    specific pins such as those created by "autopkgtest --pin-packages".

 -- Colin Watson <cjwatson@debian.org>  Wed, 22 Oct 2025 09:23:25 +0100

ansible-core (2.19.3-1) unstable; urgency=medium

  * d/watch: Don't scan for beta/rc releases for now.
  * New upstream version 2.19.3
  * Fix regression from 2.18 regarding handlers and play tags (Closes: #1114932)

 -- Lee Garrett <debian@rocketjump.eu>  Tue, 07 Oct 2025 11:31:26 +0200

ansible-core (2.19.2-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * Loosen resolvelib dependency (following upstream).

  [ Lee Garrett ]
  * New upstream version 2.19.2
  * Add debug code to check for spurious autopkgtest failures regarding python's
    EXTERNALLY-MANAGED marker file
  * Fix logging conditional in autopkgtest
  * autopkgtest: Always emit output when testbed-setup.sh is run

 -- Lee Garrett <debian@rocketjump.eu>  Wed, 10 Sep 2025 10:27:42 +0200

ansible-core (2.19.1-1) unstable; urgency=medium

  * New upstream bugfix release 2.19.1
  * Skip ansible-test-debugging integration test (requires running from source)

 -- Lee Garrett <debian@rocketjump.eu>  Tue, 26 Aug 2025 20:47:40 +0200

ansible-core (2.19.0-1) unstable; urgency=medium

  * New upstream version 2.19.0
    - This version is equivalent to rc2 on the code level, and just consolidates
      the changelog of the beta/rc releases into a single 2.19.0 one.

 -- Lee Garrett <debian@rocketjump.eu>  Tue, 22 Jul 2025 16:33:45 +0200

ansible-core (2.19.0~rc2-1) unstable; urgency=medium

  * New upstream version 2.19.0~rc1
    - templating - Relaxed the Jinja sandbox to allow specific bitwise
      operations which have no filter equivalent. The allowed methods are
      __and__, __lshift__, __or__, __rshift__, __xor__. (Closes: #1106362)
    - templating - Switched from the Jinja immutable sandbox to the standard
      sandbox. This restores the ability to use mutation methods such as
      list.append and dict.update.
    - Bugfix: Update automatic role argument spec validation to not use
      deprecated syntax.
    - Bugfix: ssh connection plugin - Allow only one password prompt attempt
      when utilizing SSH_ASKPASS.
  * New upstream version 2.19.0~rc2
    - Add deprecation warnings to YAML parsing, config settings, playbooks, and
      the public API.

 -- Lee Garrett <debian@rocketjump.eu>  Wed, 09 Jul 2025 16:19:24 +0200

ansible-core (2.19.0~beta6-1) unstable; urgency=medium

  * New upstream version 2.19.0~beta6
  * Add NEWS entry documenting the disruptive changes by the new Data Tagging
    feature in 2.19.
  * d/control: Remove Breaks/Replaces from pre-bookworm packages.
  * d/control: Update version recommendation for ansible package.
  * Don't run deb822_repository integration test in autopkgtest (flaky).

 -- Lee Garrett <debian@rocketjump.eu>  Thu, 12 Jun 2025 23:55:52 +0200

ansible-core (2.19.0~beta5-1) unstable; urgency=medium

  * The "Can't believe it's been a year" release
  * New upstream version 2.19.0~beta5
    - Allow template calls to collection mutation methods (Closes: #1106362)
  * d/watch: Update uversionmangle to normalize beta/RC releases
  * Drop upstream_PR84487.patch (applied upstream)
  * Run deb822_repository integration test in autopkgtest again

 -- Lee Garrett <debian@rocketjump.eu>  Wed, 04 Jun 2025 23:28:05 +0200

ansible-core (2.19.0~beta4-1) unstable; urgency=medium

  * New upstream version 2.19.0~beta4
  * Bump jinja2 requirements
  * d/tests/control: Add "mount" as unit test dependency.
  * Update test meta-data patch and forward upstream again
  * d/t/ansible-test-integration.py: replace "print" with log functions
  * d/t/ansible-test-integration.py: Add helpful debugging comment
  * d/t/ansible-test-integration.py: Add info when tests that should fail
    succeed
  * Run tests that require pip in the default test suite
  * Update test dependencies
  * Add 12 previously failing integration tests to the default set
  * fix apt integration patch
  * Add DEP3 header to patch
  * Add forwarded field to patch

 -- Lee Garrett <debian@rocketjump.eu>  Tue, 13 May 2025 14:54:15 +0200

ansible-core (2.19.0~beta2-1) unstable; urgency=medium

  * New upstream version 2.19.0~beta2
  * Update watch file to track beta and rc releases
  * Drop patch fixing tests (PR85007, applied upstream)

 -- Lee Garrett <debian@rocketjump.eu>  Thu, 24 Apr 2025 12:55:06 +0200

ansible-core (2.19.0~beta1-2) unstable; urgency=medium

  * Update d/copyright
  * Fix test_range_templating on 32-bit architectures

 -- Lee Garrett <debian@rocketjump.eu>  Thu, 17 Apr 2025 13:40:39 +0200

ansible-core (2.19.0~beta1-1) unstable; urgency=high

  * New upstream version 2.19.0~beta1
  * Update quilt patch meta-data
  * Update use-py3 quilt patch
  * Update lintian overrides
  * Mark ssh_agent integration test as requiring ssh
  * Add missing depends on paramiko unit test

 -- Lee Garrett <debian@rocketjump.eu>  Tue, 15 Apr 2025 19:01:32 +0200

ansible-core (2.19~pre20250510~5347d4d4fc-1) unstable; urgency=high

  * New upstream version 2.19~pre20250510~5347d4d4fc

 -- Lee Garrett <debian@rocketjump.eu>  Thu, 10 Apr 2025 16:37:56 +0200

ansible-core (2.19~pre20250506~462affa7c4-1) unstable; urgency=medium

  * New upstream version 2.19~pre20250506~462affa7c4
  * Package pre-release version of ansible 2.19, which should have the first
    beta release in a few days. This is because 2.19 will have longer upstream
    security support than 2.18, and 2.19 should release before trixie.
  * Drop patches (applied upstream)
    - Bump-ansible-galaxy-s-resolvelib-requirement-upperbo.patch
    - test-git-archive-prefix-32-bit.patch
    - upstream_PR84377.patch
    - upstream_PR84378.patch
    - upstream_PR84379.patch
    - upstream_PR84409.patch
    - upstream_PR84482.patch
    - upstream_PR84486.patch
  * Bump Standards-Version (no changes needed)
  * Update integration test exceptions
  * Update d/copyright to make lintian happy

 -- Lee Garrett <debian@rocketjump.eu>  Wed, 09 Apr 2025 17:15:41 +0200

ansible-core (2.18.3-1) unstable; urgency=medium

  * New upstream release
  * d/t/control: Add dep to ssh

 -- Lee Garrett <debian@rocketjump.eu>  Tue, 25 Feb 2025 18:23:04 +0100

ansible-core (2.18.1-4) unstable; urgency=medium

  * Fix autopkgtest failure on i386. Thanks, Stefano!

 -- Lee Garrett <debian@rocketjump.eu>  Sat, 28 Dec 2024 17:29:53 +0100

ansible-core (2.18.1-3) unstable; urgency=medium

  * Skip testbed setup when in dry run mode
  * integration tests: read root requirements from test
  * Fix several integration tests
  * Run autopkgtests on VMs instead of containers

 -- Lee Garrett <debian@rocketjump.eu>  Wed, 25 Dec 2024 10:33:42 +0100

ansible-core (2.18.1-2) unstable; urgency=medium

  * Minor fix for ci.debian.net

 -- Lee Garrett <debian@rocketjump.eu>  Sat, 21 Dec 2024 14:30:19 +0100

ansible-core (2.18.1-1) unstable; urgency=medium

  * New upstream version 2.18.1
  * Drop CVE-2024-11079 patch (applied upstream)
  * Make less autopkgtests fail that use git in some form
  * Update autopkgtest dependencies
  * Remove py3 shebang which caused ansible-test-sanity-shebang to fail
  * Update list of integration tests requiring root
  * Skip certain failing integration tests
  * autopkgtest: Preserve PYTHONPATH env when using sudo
  * Fix many CI tests to run on Debian sid as unprivileged user
  * Update testbed-setup.sh to make tests pass
  * Add workaround for copy integration test
  * unbreak pip for integration tests
  * Add debug/fix code for common permission errors
  * autopkgtests: Add workaround for missing VERSION_ID in /etc/os-release
  * d/t/ansible-test-integration.py: Show which tests would be run
  * Replace PR83844 patch with three smaller ones
  * Fix integration tests mount_facts, unarchive, user
  * Fix homedir permission in user module (and test)
  * Mark several integration tests as broken
  * Update lintian overrides

 -- Lee Garrett <debian@rocketjump.eu>  Fri, 20 Dec 2024 19:33:03 +0100

ansible-core (2.18.0-2) unstable; urgency=medium

  * Team upload
  * Fix CVE-2024-11079: This vulnerability allows attackers
    to bypass unsafe content protections using the
    hostvars object to reference and execute templated content.
    This issue can lead to arbitrary code execution if remote
    data or module outputs are improperly templated within playbooks
    (Closes: #1088106).

 -- Bastien Roucariès <rouca@debian.org>  Sat, 30 Nov 2024 17:21:42 +0000

ansible-core (2.18.0-1) unstable; urgency=medium

  * Team upload

  [ Bastien Roucariès ]
  * Fix CVE-2024-9902: A flaw was found in Ansible.
    The ansible-core `user` module can allow an
    unprivileged user to silently create or replace
    the contents of any file on any system path
    and take ownership of it when a privileged user
    executes the `user` module against the unprivileged
    user's home directory. If the unprivileged user
    has traversal permissions on the directory containing
    the exploited target file, they retain full control
    over the contents of the file as its owner.

  [ Colin Watson ]
  * New upstream release.
  * Remove misleading sequence numbers from files in debian/patches.

 -- Colin Watson <cjwatson@debian.org>  Mon, 11 Nov 2024 15:02:45 +0000

ansible-core (2.17.5-5) unstable; urgency=medium

  * Team upload.

  [ Bastien Roucariès ]
  * Fix CVE-2024-8775: A flaw was found in Ansible,
    where sensitive information stored in Ansible Vault
    files can be exposed in plaintext during the execution
    of a playbook. This occurs when using tasks such as
    include_vars to load vaulted variables without
    setting the no_log: true parameter, resulting in
    sensitive data being printed in the playbook output
    or logs. This can lead to the unintentional disclosure
    of secrets like passwords or API keys, compromising
    security and potentially allowing unauthorized
    access or actions.
    (Closes: #1082851)
  * Bump resolvelib dependency to << 1.2 (Closes: #1086551)

  [ Colin Watson ]
  * Disable a few tests until https://pypi.org/project/ansible-core/ is
    updated with upstream's resolvelib dependency change.

 -- Colin Watson <cjwatson@debian.org>  Thu, 07 Nov 2024 16:36:31 +0000

ansible-core (2.17.5-4) unstable; urgency=medium

  * Team upload.
  * Make autopkgtests depend on libffi-dev, needed to install cffi from PyPI
    on some architectures.

 -- Colin Watson <cjwatson@debian.org>  Mon, 28 Oct 2024 15:58:59 +0000

ansible-core (2.17.5-3) unstable; urgency=medium

  * Team upload.
  * Make autopkgtests depend on libssl-dev and pkg-config, needed to install
    cryptography from PyPI on some architectures.
  * Make autopkgtests depend on libyaml-dev, needed to install PyYAML from
    PyPI on some architectures.
  * Make autopkgtests depend on python3-dev, needed to install cffi from
    PyPI on some architectures.

 -- Colin Watson <cjwatson@debian.org>  Sun, 27 Oct 2024 23:40:22 +0000

ansible-core (2.17.5-2) unstable; urgency=medium

  * Team upload.
  * test: Make git archive prefix fit in 32-bit ssize_t.
  * Make autopkgtests depend on cargo and gcc, needed to install
    cryptography and cffi from PyPI on some architectures.
  * Skip binary_modules_linux integration test except on amd64/ppc64el.

 -- Colin Watson <cjwatson@debian.org>  Wed, 16 Oct 2024 18:29:18 +0100

ansible-core (2.17.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - copy module now updates mtime/atime (closes: #1078779).
  * Skip "raw" integration test, since it requires su (closes: #1079672).

 -- Colin Watson <cjwatson@debian.org>  Wed, 16 Oct 2024 01:57:21 +0100

ansible-core (2.17.3-1) unstable; urgency=medium

  * New upstream version 2.17.3
  * Disable some tests on CI that time out
  * Updates to autopkgtests

 -- Lee Garrett <debian@rocketjump.eu>  Tue, 13 Aug 2024 14:14:20 +0200

ansible-core (2.17.2-1) unstable; urgency=medium

  * New upstream version 2.17.2
  * Add integration tests to autopkgtest

 -- Lee Garrett <debian@rocketjump.eu>  Fri, 26 Jul 2024 02:07:36 +0200

ansible-core (2.17.1-1) unstable; urgency=medium

  * New upstream version 2.17.1

 -- Lee Garrett <debian@rocketjump.eu>  Tue, 25 Jun 2024 12:48:41 +0200

ansible-core (2.17.0-1) unstable; urgency=medium

  * New upstream version 2.17.0
  * d/control: Update VCS links after moving package to python-team
  * Remove trailing whitespace
  * Refresh patches

 -- Lee Garrett <debian@rocketjump.eu>  Wed, 05 Jun 2024 14:59:38 +0200

ansible-core (2.16.6-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * remove stale dependency on python3-mock

  [ Lee Garrett ]
  * d/gbp.conf: Sign tags by default
  * Update watch file to accomodate a common upstream typo
  * New upstream version 2.16.6
  * Bump recommended ansible version to 9.5.1
  * Bump Standards-Version (no changes needed)
  * autopkgtests: Add dep to python3-systemd

 -- Lee Garrett <debian@rocketjump.eu>  Thu, 25 Apr 2024 00:36:22 +0200

ansible-core (2.16.5-1) unstable; urgency=medium

  * New upstream release (Closes: #1057640)
    - ansible-test supports python 3.12 now (Closes: #1061782, #1061781)
    - fixes CVE-2024-0690 (Closes: #1061156)
  * Drop dependency on python3-distutils (Closes: #1065826)
  * Drop patches applied upstream
  * Refreshen patches

 -- Lee Garrett <debian@rocketjump.eu>  Wed, 17 Apr 2024 23:47:08 +0200

ansible-core (2.14.13-1) unstable; urgency=medium

  * New upstream version 2.14.13
  * Update package to conform to DEP-14 packaging layout
  * Update dep3 patch headers

 -- Lee Garrett <debian@rocketjump.eu>  Tue, 12 Dec 2023 11:20:17 +0100

ansible-core (2.14.11-2) unstable; urgency=medium

  * Enforce locale to ensure it builds reproducibly
  * Fix facter when puppet not present (Closes: #1055616)

 -- Lee Garrett <debian@rocketjump.eu>  Fri, 10 Nov 2023 13:50:13 +0100

ansible-core (2.14.11-1) unstable; urgency=medium

  * New upstream version 2.14.11
  * Fix galaxy tests
  * Fix lintian override
  * Update changelog and release to unstable

 -- Lee Garrett <debian@rocketjump.eu>  Fri, 20 Oct 2023 19:41:09 +0200

ansible-core (2.14.10-1) unstable; urgency=medium

  * New upstream release

 -- Lee Garrett <debian@rocketjump.eu>  Tue, 12 Sep 2023 12:27:50 +0200

ansible-core (2.14.9-2) unstable; urgency=medium

  * Fix unit tests

 -- Lee Garrett <debian@rocketjump.eu>  Sat, 19 Aug 2023 02:16:32 +0200

ansible-core (2.14.9-1) unstable; urgency=medium

  * New upstream version 2.14.9
  * Refresh patches
  * Adapt to upstream change of man page building
  * Fix double-build failure (Closes: #1043680)

 -- Lee Garrett <debian@rocketjump.eu>  Fri, 18 Aug 2023 23:56:27 +0200

ansible-core (2.14.8-1) unstable; urgency=medium

  * New upstream release

 -- Lee Garrett <debian@rocketjump.eu>  Tue, 18 Jul 2023 13:24:30 +0200

ansible-core (2.14.7-1) unstable; urgency=medium

  * New upstream release
  * Refresh 0005-use-py3.patch
  * Drop 0010-fix-json-uri-subtype.patch (applied upstream)

 -- Lee Garrett <debian@rocketjump.eu>  Mon, 17 Jul 2023 15:26:13 +0200

ansible-core (2.14.6-1) unstable; urgency=medium

  * New upstream release
  * d/watch: Remove signature check
  * d/control: Recommend python3-passlib (Closes: #1034251)
  * d/control: Update python3-resolvelib version dependency (Closes: #1037932, #1037443)
  * uri: fix search for json types to include strings in the format xxx/yyy+json
    (Closes: #1037126)

 -- Lee Garrett <debian@rocketjump.eu>  Fri, 16 Jun 2023 16:13:27 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog ansible-core`.
